<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: JSON.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">JSON.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * JSON.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: May 23, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_JSON_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_JSON_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;cJSON.h&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// Forward declarations</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span><a class="code" href="classJsonObject.html">JsonObject</a>;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">class </span><a class="code" href="classJsonArray.html">JsonArray</a>;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classJSON.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classJSON.html">JSON</a> {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">static</span> <a class="code" href="classJsonObject.html">JsonObject</a> <a class="code" href="classJSON.html#a91079cdb65f68716e2076138c4f87a67">createObject</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">static</span> <a class="code" href="classJsonArray.html">JsonArray</a>  <a class="code" href="classJSON.html#a5af00fe53438838fef727d2ebb7f5608">createArray</a>();</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span>       <a class="code" href="classJSON.html#a741365b2a30940b9709fa25ef2ac490f">deleteObject</a>(<a class="code" href="classJsonObject.html">JsonObject</a> jsonObject);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span>       <a class="code" href="classJSON.html#af51a6bb6be9615a39e8f4e55f82b5ee1">deleteArray</a>(<a class="code" href="classJsonArray.html">JsonArray</a> jsonArray);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">static</span> <a class="code" href="classJsonObject.html">JsonObject</a> <a class="code" href="classJSON.html#af0f79af48a9d177bfbdebc1fbf5ef8c0">parseObject</a>(std::string text);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">static</span> <a class="code" href="classJsonArray.html">JsonArray</a>  <a class="code" href="classJSON.html#a22abd1ce346fb55b7137adc8ffdd1326">parseArray</a>(std::string text);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}; <span class="comment">// JSON</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classJsonArray.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="classJsonArray.html">JsonArray</a> {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordtype">int</span>         <a class="code" href="classJsonArray.html#a451aeaf9796d6563cb2a7302102bbefb">getInt</a>(<span class="keywordtype">int</span> item);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="classJsonObject.html">JsonObject</a>  <a class="code" href="classJsonArray.html#aa27a10fde0ca40af40e40a6fbabe3441">getObject</a>(<span class="keywordtype">int</span> item);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    std::string <a class="code" href="classJsonArray.html#aef6956e2bcf6d597cc49e447b56d2e72">getString</a>(<span class="keywordtype">int</span> item);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">bool</span>        <a class="code" href="classJsonArray.html#a469e76b66f2a726c5dab76df503453f2">getBoolean</a>(<span class="keywordtype">int</span> item);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">double</span>      <a class="code" href="classJsonArray.html#a990fd5ff27aafa9d87b1f182864411b2">getDouble</a>(<span class="keywordtype">int</span> item);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonArray.html#ac882d27fd5b1d442b7125a335ec5b0f7">addBoolean</a>(<span class="keywordtype">bool</span> value);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonArray.html#a460aab935bb63936b4fccd12c2f0a4b4">addDouble</a>(<span class="keywordtype">double</span> value);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonArray.html#a8844c8d4eb2a31398fed96a0787217a5">addInt</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonArray.html#a4959a095344c9f01313e44f9fd411f79">addObject</a>(<a class="code" href="classJsonObject.html">JsonObject</a> value);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonArray.html#a60debf309978611516a265b7e46a2ccb">addString</a>(std::string value);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    std::string <a class="code" href="classJsonArray.html#a89154776badf43a8b4ad7f9b040334df">toString</a>();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    std::string <a class="code" href="classJsonArray.html#a0c47cac24c3ab148a08e4e5c0c407849">toStringUnformatted</a>();</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    std::size_t <a class="code" href="classJsonArray.html#a3fdfa5f61149d0e8ca1f443762b54618">size</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="classJsonArray.html">JsonArray</a>(cJSON* node);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classJSON.html">JSON</a>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classJsonObject.html">JsonObject</a>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    cJSON* m_node;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}; <span class="comment">// JsonArray</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classJsonObject.html">   66</a></span>&#160;<span class="keyword">class </span><a class="code" href="classJsonObject.html">JsonObject</a> {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <a class="code" href="classJsonArray.html">JsonArray</a>   getArray(std::string name);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">bool</span>        <a class="code" href="classJsonObject.html#ad80fed0c6cf783b90895170e88fc790e">getBoolean</a>(std::string name);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordtype">double</span>      <a class="code" href="classJsonObject.html#af1ee31ad591bbb55fbdc97c38c041d83">getDouble</a>(std::string name);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordtype">int</span>         <a class="code" href="classJsonObject.html#a05eff76d1f6f0df121113b62f59a326f">getInt</a>(std::string name);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <a class="code" href="classJsonObject.html">JsonObject</a>  <a class="code" href="classJsonObject.html#a8d6e610c9cfe477d9b9126cee33d896b">getObject</a>(std::string name);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    std::string <a class="code" href="classJsonObject.html#a2d38de00713456e0c9f788c8b07b6506">getString</a>(std::string name);</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">bool</span>        <a class="code" href="classJsonObject.html#aa42b8e22d2f602d025554d3e801b73b4">hasItem</a>(std::string name);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordtype">bool</span>        <a class="code" href="classJsonObject.html#ab9c68b15c7ee80d19e5064978ecae788">isValid</a>();</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonObject.html#a19f385d7149976a9726e84e2ff287317">setArray</a>(std::string name, <a class="code" href="classJsonArray.html">JsonArray</a> array);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonObject.html#a325a19e3eaff0b86f36af75f18786bc9">setBoolean</a>(std::string name, <span class="keywordtype">bool</span> value);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonObject.html#a845838c1d36f3ff586b325b5b56b65bc">setDouble</a>(std::string name, <span class="keywordtype">double</span> value);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonObject.html#a3e874f6366c532732adbb7dcc50a641c">setInt</a>(std::string name, <span class="keywordtype">int</span> value);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonObject.html#acdf7762d31f04063b1b6a871ae91af0e">setObject</a>(std::string name, <a class="code" href="classJsonObject.html">JsonObject</a> value);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">void</span>        <a class="code" href="classJsonObject.html#ac080c7b7037401cb2b0034c7f6220026">setString</a>(std::string name, std::string value);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    std::string <a class="code" href="classJsonObject.html#a94a56e5e5d1f7f2134470fd2f24bcf9f">toString</a>();</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    std::string <a class="code" href="classJsonObject.html#ab3b8d1dee7b8246d26d717e31dd461bb">toStringUnformatted</a>();</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <a class="code" href="classJsonObject.html">JsonObject</a>(cJSON* node);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classJSON.html">JSON</a>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classJsonArray.html">JsonArray</a>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    cJSON* m_node;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}; <span class="comment">// JsonObject</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_JSON_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classJsonObject_html_a845838c1d36f3ff586b325b5b56b65bc"><div class="ttname"><a href="classJsonObject.html#a845838c1d36f3ff586b325b5b56b65bc">JsonObject::setDouble</a></div><div class="ttdeci">void setDouble(std::string name, double value)</div><div class="ttdoc">Set the named double property.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:327</div></div>
<div class="ttc" id="classJsonObject_html_af1ee31ad591bbb55fbdc97c38c041d83"><div class="ttname"><a href="classJsonObject.html#af1ee31ad591bbb55fbdc97c38c041d83">JsonObject::getDouble</a></div><div class="ttdeci">double getDouble(std::string name)</div><div class="ttdoc">Get the named double value from the object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:239</div></div>
<div class="ttc" id="classJsonObject_html"><div class="ttname"><a href="classJsonObject.html">JsonObject</a></div><div class="ttdoc">A JSON object.</div><div class="ttdef"><b>Definition:</b> JSON.h:66</div></div>
<div class="ttc" id="classJsonObject_html_a2d38de00713456e0c9f788c8b07b6506"><div class="ttname"><a href="classJsonObject.html#a2d38de00713456e0c9f788c8b07b6506">JsonObject::getString</a></div><div class="ttdeci">std::string getString(std::string name)</div><div class="ttdoc">Get the named string value from the object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:274</div></div>
<div class="ttc" id="classJsonObject_html_ac080c7b7037401cb2b0034c7f6220026"><div class="ttname"><a href="classJsonObject.html#ac080c7b7037401cb2b0034c7f6220026">JsonObject::setString</a></div><div class="ttdeci">void setString(std::string name, std::string value)</div><div class="ttdoc">Set the named string property.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:360</div></div>
<div class="ttc" id="classJsonArray_html_a990fd5ff27aafa9d87b1f182864411b2"><div class="ttname"><a href="classJsonArray.html#a990fd5ff27aafa9d87b1f182864411b2">JsonArray::getDouble</a></div><div class="ttdeci">double getDouble(int item)</div><div class="ttdoc">Get the indexed double value from the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:138</div></div>
<div class="ttc" id="classJSON_html"><div class="ttname"><a href="classJSON.html">JSON</a></div><div class="ttdoc">Top level JSON handler.</div><div class="ttdef"><b>Definition:</b> JSON.h:20</div></div>
<div class="ttc" id="classJsonObject_html_a3e874f6366c532732adbb7dcc50a641c"><div class="ttname"><a href="classJsonObject.html#a3e874f6366c532732adbb7dcc50a641c">JsonObject::setInt</a></div><div class="ttdeci">void setInt(std::string name, int value)</div><div class="ttdoc">Set the named int property.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:338</div></div>
<div class="ttc" id="classJsonObject_html_a05eff76d1f6f0df121113b62f59a326f"><div class="ttname"><a href="classJsonObject.html#a05eff76d1f6f0df121113b62f59a326f">JsonObject::getInt</a></div><div class="ttdeci">int getInt(std::string name)</div><div class="ttdoc">Get the named int value from the object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:251</div></div>
<div class="ttc" id="classJSON_html_af51a6bb6be9615a39e8f4e55f82b5ee1"><div class="ttname"><a href="classJSON.html#af51a6bb6be9615a39e8f4e55f82b5ee1">JSON::deleteArray</a></div><div class="ttdeci">static void deleteArray(JsonArray jsonArray)</div><div class="ttdoc">Delete a JSON array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:38</div></div>
<div class="ttc" id="classJsonArray_html_a4959a095344c9f01313e44f9fd411f79"><div class="ttname"><a href="classJsonArray.html#a4959a095344c9f01313e44f9fd411f79">JsonArray::addObject</a></div><div class="ttdeci">void addObject(JsonObject value)</div><div class="ttdoc">Add an object value to the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:108</div></div>
<div class="ttc" id="classJsonArray_html_a469e76b66f2a726c5dab76df503453f2"><div class="ttname"><a href="classJsonArray.html#a469e76b66f2a726c5dab76df503453f2">JsonArray::getBoolean</a></div><div class="ttdeci">bool getBoolean(int item)</div><div class="ttdoc">Get the indexed boolean value from the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:127</div></div>
<div class="ttc" id="classJSON_html_a22abd1ce346fb55b7137adc8ffdd1326"><div class="ttname"><a href="classJSON.html#a22abd1ce346fb55b7137adc8ffdd1326">JSON::parseArray</a></div><div class="ttdeci">static JsonArray parseArray(std::string text)</div><div class="ttdoc">Parse a string that contains a JSON array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:57</div></div>
<div class="ttc" id="classJsonObject_html_a19f385d7149976a9726e84e2ff287317"><div class="ttname"><a href="classJsonObject.html#a19f385d7149976a9726e84e2ff287317">JsonObject::setArray</a></div><div class="ttdeci">void setArray(std::string name, JsonArray array)</div><div class="ttdoc">Set the named array property.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:305</div></div>
<div class="ttc" id="classJsonObject_html_a8d6e610c9cfe477d9b9126cee33d896b"><div class="ttname"><a href="classJsonObject.html#a8d6e610c9cfe477d9b9126cee33d896b">JsonObject::getObject</a></div><div class="ttdeci">JsonObject getObject(std::string name)</div><div class="ttdoc">Get the named object value from the object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:263</div></div>
<div class="ttc" id="classJSON_html_af0f79af48a9d177bfbdebc1fbf5ef8c0"><div class="ttname"><a href="classJSON.html#af0f79af48a9d177bfbdebc1fbf5ef8c0">JSON::parseObject</a></div><div class="ttdeci">static JsonObject parseObject(std::string text)</div><div class="ttdoc">Parse a string that contains a JSON object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:67</div></div>
<div class="ttc" id="classJsonArray_html_a460aab935bb63936b4fccd12c2f0a4b4"><div class="ttname"><a href="classJsonArray.html#a460aab935bb63936b4fccd12c2f0a4b4">JsonArray::addDouble</a></div><div class="ttdeci">void addDouble(double value)</div><div class="ttdoc">Add a double value to the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:90</div></div>
<div class="ttc" id="classJsonObject_html_a94a56e5e5d1f7f2134470fd2f24bcf9f"><div class="ttname"><a href="classJsonObject.html#a94a56e5e5d1f7f2134470fd2f24bcf9f">JsonObject::toString</a></div><div class="ttdeci">std::string toString()</div><div class="ttdoc">Convert the JSON object to a string.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:369</div></div>
<div class="ttc" id="classJsonArray_html_a451aeaf9796d6563cb2a7302102bbefb"><div class="ttname"><a href="classJsonArray.html#a451aeaf9796d6563cb2a7302102bbefb">JsonArray::getInt</a></div><div class="ttdeci">int getInt(int item)</div><div class="ttdoc">Get the indexed int value from the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:149</div></div>
<div class="ttc" id="classJsonArray_html_a3fdfa5f61149d0e8ca1f443762b54618"><div class="ttname"><a href="classJsonArray.html#a3fdfa5f61149d0e8ca1f443762b54618">JsonArray::size</a></div><div class="ttdeci">std::size_t size()</div><div class="ttdoc">Get the number of elements from the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:205</div></div>
<div class="ttc" id="classJsonArray_html_aa27a10fde0ca40af40e40a6fbabe3441"><div class="ttname"><a href="classJsonArray.html#aa27a10fde0ca40af40e40a6fbabe3441">JsonArray::getObject</a></div><div class="ttdeci">JsonObject getObject(int item)</div><div class="ttdoc">Get the indexed object value from the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:160</div></div>
<div class="ttc" id="classJsonArray_html_a60debf309978611516a265b7e46a2ccb"><div class="ttname"><a href="classJsonArray.html#a60debf309978611516a265b7e46a2ccb">JsonArray::addString</a></div><div class="ttdeci">void addString(std::string value)</div><div class="ttdoc">Add a string value to the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:117</div></div>
<div class="ttc" id="classJSON_html_a741365b2a30940b9709fa25ef2ac490f"><div class="ttname"><a href="classJSON.html#a741365b2a30940b9709fa25ef2ac490f">JSON::deleteObject</a></div><div class="ttdeci">static void deleteObject(JsonObject jsonObject)</div><div class="ttdoc">Delete a JSON object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:47</div></div>
<div class="ttc" id="classJSON_html_a91079cdb65f68716e2076138c4f87a67"><div class="ttname"><a href="classJSON.html#a91079cdb65f68716e2076138c4f87a67">JSON::createObject</a></div><div class="ttdeci">static JsonObject createObject()</div><div class="ttdoc">Create an empty JSON object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:28</div></div>
<div class="ttc" id="classJsonArray_html_a0c47cac24c3ab148a08e4e5c0c407849"><div class="ttname"><a href="classJsonArray.html#a0c47cac24c3ab148a08e4e5c0c407849">JsonArray::toStringUnformatted</a></div><div class="ttdeci">std::string toStringUnformatted()</div><div class="ttdoc">Build an unformatted string representation.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:193</div></div>
<div class="ttc" id="classJsonObject_html_ab3b8d1dee7b8246d26d717e31dd461bb"><div class="ttname"><a href="classJsonObject.html#ab3b8d1dee7b8246d26d717e31dd461bb">JsonObject::toStringUnformatted</a></div><div class="ttdeci">std::string toStringUnformatted()</div><div class="ttdoc">Build an unformatted string representation.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:381</div></div>
<div class="ttc" id="classJsonArray_html_a8844c8d4eb2a31398fed96a0787217a5"><div class="ttname"><a href="classJsonArray.html#a8844c8d4eb2a31398fed96a0787217a5">JsonArray::addInt</a></div><div class="ttdeci">void addInt(int value)</div><div class="ttdoc">Add an int value to the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:99</div></div>
<div class="ttc" id="classJsonArray_html_ac882d27fd5b1d442b7125a335ec5b0f7"><div class="ttname"><a href="classJsonArray.html#ac882d27fd5b1d442b7125a335ec5b0f7">JsonArray::addBoolean</a></div><div class="ttdeci">void addBoolean(bool value)</div><div class="ttdoc">Add a boolean value to the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:81</div></div>
<div class="ttc" id="classJsonObject_html_ab9c68b15c7ee80d19e5064978ecae788"><div class="ttname"><a href="classJsonObject.html#ab9c68b15c7ee80d19e5064978ecae788">JsonObject::isValid</a></div><div class="ttdeci">bool isValid()</div><div class="ttdoc">Determine if this represents a valid JSON node.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:295</div></div>
<div class="ttc" id="classJsonObject_html_aa42b8e22d2f602d025554d3e801b73b4"><div class="ttname"><a href="classJsonObject.html#aa42b8e22d2f602d025554d3e801b73b4">JsonObject::hasItem</a></div><div class="ttdeci">bool hasItem(std::string name)</div><div class="ttdoc">Determine if the object has the specified item.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:286</div></div>
<div class="ttc" id="classJsonObject_html_acdf7762d31f04063b1b6a871ae91af0e"><div class="ttname"><a href="classJsonObject.html#acdf7762d31f04063b1b6a871ae91af0e">JsonObject::setObject</a></div><div class="ttdeci">void setObject(std::string name, JsonObject value)</div><div class="ttdoc">Set the named object property.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:349</div></div>
<div class="ttc" id="classJsonObject_html_a325a19e3eaff0b86f36af75f18786bc9"><div class="ttname"><a href="classJsonObject.html#a325a19e3eaff0b86f36af75f18786bc9">JsonObject::setBoolean</a></div><div class="ttdeci">void setBoolean(std::string name, bool value)</div><div class="ttdoc">Set the named boolean property.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:316</div></div>
<div class="ttc" id="classJsonArray_html_aef6956e2bcf6d597cc49e447b56d2e72"><div class="ttname"><a href="classJsonArray.html#aef6956e2bcf6d597cc49e447b56d2e72">JsonArray::getString</a></div><div class="ttdeci">std::string getString(int item)</div><div class="ttdoc">Get the indexed object value from the array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:171</div></div>
<div class="ttc" id="classJsonObject_html_ad80fed0c6cf783b90895170e88fc790e"><div class="ttname"><a href="classJsonObject.html#ad80fed0c6cf783b90895170e88fc790e">JsonObject::getBoolean</a></div><div class="ttdeci">bool getBoolean(std::string name)</div><div class="ttdoc">Get the named boolean value from the object.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:227</div></div>
<div class="ttc" id="classJsonArray_html_a89154776badf43a8b4ad7f9b040334df"><div class="ttname"><a href="classJsonArray.html#a89154776badf43a8b4ad7f9b040334df">JsonArray::toString</a></div><div class="ttdeci">std::string toString()</div><div class="ttdoc">Convert the JSON array to a string.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:181</div></div>
<div class="ttc" id="classJsonArray_html"><div class="ttname"><a href="classJsonArray.html">JsonArray</a></div><div class="ttdoc">A JSON array.</div><div class="ttdef"><b>Definition:</b> JSON.h:35</div></div>
<div class="ttc" id="classJSON_html_a5af00fe53438838fef727d2ebb7f5608"><div class="ttname"><a href="classJSON.html#a5af00fe53438838fef727d2ebb7f5608">JSON::createArray</a></div><div class="ttdeci">static JsonArray createArray()</div><div class="ttdoc">Create an empty JSON array.</div><div class="ttdef"><b>Definition:</b> JSON.cpp:19</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
